=== debian/changelog ===
contextkit (0.5.42~unreleased+fremantle0) unstable; urgency=low

  * Initial backport approach

 -- Marcin Mielniczuk <marmistrz@linux.pl>  Tue, 19 Feb 2013 13:24:02 +0100

contextkit (0.5.42~unreleased) unstable; urgency=low

  *

 -- James Thomas <james.thomas@codethink.co.uk>  Mon, 12 Nov 2011 10:39:00 +0000

contextkit (0.5.41) unstable; urgency=low

  * Fixes: NB#269830 - contextkit public api documentation points to internal links

 -- James Thomas <james.thomas@codethink.co.uk>  Mon, 12 Nov 2011 09:41:00 +0000

contextkit (0.5.40) unstable; urgency=low

  * Fixes: NB#263861, Status area should show indication of presence going to online
  * Modified Presence.State enum: added "connecting"

 -- James Thomas <james.thomas@codethink.co.uk>  Wed, 14 Sep 2011 11:55:00 +0300

contextkit (0.5.39) unstable; urgency=low

  * Fixes: NB#275018 - add Cellular.ServiceStatus to core.context 

 -- Jean-Luc Lamadon <jean-luc.lamadon@nokia.com>  Thu, 04 Aug 2011 13:59:18 +0300

contextkit (0.5.38) unstable; urgency=low

  * Fixes: NB#249829, COREWEB: applications crashing for 'InfoCdbBackend::~InfoCdbBackend'

 -- Jean-Luc Lamadon <jean-luc.lamadon@nokia.com>  Wed, 25 May 2011 12:44:06 +0300

contextkit (0.5.37) unstable; urgency=low

  * Fixes: NB#251998, Deprecation warnings from libcontextsubscriber on console
  * Fixes: NB#251381, Added QDBusPendingWatcher to handle QDBusPendingCall deletion
 
 -- Jean-Luc Lamadon <jean-luc.lamadon@nokia.com>  Thu, 05 May 2011 11:31:38 +0300

contextkit (0.5.36) unstable; urgency=low

  * Fixes: NB#242089
  * Fix: waitForSubscription did nothing when re-subscribing to a property.

 -- Marja Hölttä <marja.holtta@nokia.com>  Wed, 13 Apr 2011 10:24:41 +0300

contextkit (0.5.35) unstable; urgency=low

  * Fixes: NB#239586
  * Unsubscribed ContextProperty objects are allowed to change their values and emit
  valueChanged, if they can get an up-to-date value for free.

 -- Marja Hölttä <marja.holtta@nokia.com>  Wed, 06 Apr 2011 12:49:35 +0300

contextkit (0.5.34) unstable; urgency=low

  * Fixes: NB#205806 - Faulty License

 -- Marja Hölttä <marja.holtta@nokia.com>  Thu, 03 Mar 2011 11:35:04 +0200

contextkit (0.5.33) unstable; urgency=low

  * Fixes: NB#232009
  * Fixes: NB#205806 - Faulty License

 -- Marja Hölttä <marja.holtta@nokia.com>  Thu, 03 Mar 2011 09:32:53 +0200

contextkit (0.5.32) unstable; urgency=low
  
  * Added following core properties: Cellular.ExtendedNetworkName, Cellular.CellNameDisplayEnabled,
    Cellular.GSMBand
    Modified Presence.State enum: "away" is replaced with "busy"

  * Fixes: NB#228811 - contextkit fails to build with gcc-4.5

 -- Jean-Luc Lamadon <jean-luc.lamadon@nokia.com>  Tue, 01 Mar 2011 17:05:26 +0200

contextkit (0.5.31) unstable; urgency=low

  * Added patch for two Cellular properties

 -- Jean-Luc Lamadon <jean-luc.lamadon@nokia.com>  Tue, 15 Feb 2011 11:52:19 +0200

contextkit (0.5.30) unstable; urgency=low

  * Only output strace log when update-context-providers actually fails.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 09 Feb 2011 09:06:57 +0200

contextkit (0.5.29) unstable; urgency=low

  * Add voluptous debugging output to libcontextsubscriber postinst.
  
 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 09 Feb 2011 09:06:13 +0200

contextkit (0.5.28) unstable; urgency=low

  * Fixes: NB#220022

 -- Marja Hassinen <marja.hassinen@nokia.com>  Tue, 01 Feb 2011 15:02:45 +0200

contextkit (0.5.27) unstable; urgency=low

  * Fixes: NB#223259

 -- Marja Hassinen <marja.hassinen@nokia.com>  Mon, 31 Jan 2011 14:56:43 +0200

contextkit (0.5.26) unstable; urgency=low

  * Fixes: NB#221751

 -- Marja Hassinen <marja.hassinen@nokia.com>  Wed, 26 Jan 2011 14:30:33 +0200

contextkit (0.5.25) unstable; urgency=low

  * Fixes: NB#213302 - [TASK] Request for truely blocking version of
    ContextProperty::waitForSubscription
  * lcs: Getting rid of the "cannot emit certain signals inside plugin's
    subscribe()"
  * API addition: ContextProperty::waitForSubscriptionAndBlock

 -- Jean-Luc Lamadon <jean-luc.lamadon@nokia.com>  Wed, 05 Jan 2011 15:30:20 +0200

contextkit (0.5.24) unstable; urgency=low

  * Fixes: NB#205697
  * Fixes: NB#207875

 -- Marja Hassinen <marja.hassinen@nokia.com>  Wed, 08 Dec 2010 12:22:50 +0200

contextkit (0.5.23) unstable; urgency=low

  * Fixes: NB#200290

 -- Marja Hassinen <marja.hassinen@nokia.com>  Wed, 10 Nov 2010 11:53:00 +0200

contextkit (0.5.22) unstable; urgency=low

  * Add Position.IsFlat of type boolean

 -- Marja Hassinen <marja.hassinen@nokia.com>  Mon, 08 Nov 2010 15:48:26 +0200

contextkit (0.5.21) unstable; urgency=low

  * Commanding is only allowed if the env var CONTEXT_COMMANDING is set.
  * Fixes: NB#194538
  * 0.5.20 is skipped because this release merges 2 separate release branches

 -- Marja Hassinen <marja.hassinen@nokia.com>  Mon, 08 Nov 2010 09:53:06 +0200

contextkit (0.5.19.2) unstable; urgency=low

  * Fixes: NB#200325 -  Creating ContextProperty object causes unnecessary wakeups
  * New core property: System.OfflineMode

 -- Jean-Luc Lamadon <jean-luc.lamadon@nokia.com>  Tue, 02 Nov 2010 19:20:14 +0200

contextkit (0.5.19.1) unstable; urgency=low

  * Fixes: NB#198630

 -- Marja Hassinen <marja.hassinen@nokia.com>  Mon, 18 Oct 2010 11:13:28 +0300

contextkit (0.5.19) unstable; urgency=low

  * Fix: if plugin loading failed, waitForSubscription hanged.
  * Fixes: NB# 192678

 -- Marja Hassinen <marja.hassinen@nokia.com>  Mon, 20 Sep 2010 17:43:14 +0300

contextkit (0.5.18) unstable; urgency=low

  * Fixes: NB#190684 - <MemLeak> Memory leaks observed in ContextKitPlugin of
    libcontextsubscriber

 -- Jean-Luc Lamadon <jean-luc.lamadon@nokia.com>  Mon, 13 Sep 2010 16:55:10 +0300

contextkit (0.5.17) unstable; urgency=low

  * debian: API file fixed typo
  * Cellular.PacketData property added
  * Presence.State enumeration modified

 -- Jean-Luc Lamadon <jean-luc.lamadon@nokia.com>  Mon, 23 Aug 2010 13:46:11 +0300

contextkit (0.5.16) unstable; urgency=low

